Bug 187127 - Offset in file is not shown in decimal but only in hex in status bar
Summary: Offset in file is not shown in decimal but only in hex in status bar
Status: RESOLVED FIXED
Alias: None
Product: okteta
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Friedrich W. H. Kossebau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-14 13:02 UTC by Nicholas Allen
Modified: 2012-08-17 03:10 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicholas Allen 2009-03-14 13:02:46 UTC
Version:           0.2.1 (using 4.2.1 (KDE 4.2.1), Kubuntu packages)
Compiler:          cc
OS:                Linux (i686) release 2.6.27-11-generic

The offset printed in the status bar is always in hexadecimal - at least I can't find a way to see this in decimal. This doesn't make much sense because it is not a value the user wants to AND or OR with something (it is purely status information.). Seeing as there is so much space on the status bar why not show it in decimal as well as hex?
Comment 1 Friedrich W. H. Kossebau 2009-04-06 00:05:46 UTC
Thanks for the report. The current position should be shown in the same coding as the offset numbers in the table, I guess you agree with that. What is missing is a setting to control the offset display to either decimal or hexadecimal. Pending...
Comment 2 Friedrich W. H. Kossebau 2012-08-17 03:10:12 UTC
SVN commit 1311241 by kossebau:

Added: option to display all offset values in decimal, not hexadecimal

FIXED-IN:0.10.0 (part of KDE Apps 4.10)


 M  +12 -0     gui/abstractbytearrayview.cpp  
 M  +7 -1      gui/abstractbytearrayview.h  
 M  +18 -0     gui/abstractbytearrayview_p.cpp  
 M  +7 -0      gui/abstractbytearrayview_p.h  
 M  +5 -5      gui/offsetcolumnrenderer.cpp  
 M  +4 -1      gui/offsetcolumnrenderer.h  
 M  +2 -2      gui/offsetformat.h  
 M  +11 -2     kasten/controllers/view/bookmarks/bookmarklistmodel.cpp  
 M  +1 -0      kasten/controllers/view/bookmarks/bookmarklistmodel.h  
 M  +5 -2      kasten/controllers/view/bookmarks/bookmarkscontroller.cpp  
 M  +10 -1     kasten/controllers/view/bookmarks/bookmarkstool.cpp  
 M  +2 -0      kasten/controllers/view/bookmarks/bookmarkstool.h  
 M  +11 -2     kasten/controllers/view/stringsextract/containedstringtablemodel.cpp  
 M  +3 -1      kasten/controllers/view/stringsextract/containedstringtablemodel.h  
 M  +18 -16    kasten/controllers/view/stringsextract/stringsextracttool.cpp  
 M  +2 -3      kasten/controllers/view/stringsextract/stringsextracttool.h  
 M  +4 -1      kasten/controllers/view/stringsextract/stringsextractview.cpp  
 M  +25 -1     kasten/controllers/view/viewconfig/viewconfigcontroller.cpp  
 M  +3 -0      kasten/controllers/view/viewconfig/viewconfigcontroller.h  
 M  +11 -0     kasten/controllers/view/viewprofiles/viewprofileedit.cpp  
 M  +1 -0      kasten/controllers/view/viewprofiles/viewprofileedit.h  
 M  +42 -25    kasten/controllers/view/viewstatus/viewstatuscontroller.cpp  
 M  +3 -2      kasten/controllers/view/viewstatus/viewstatuscontroller.h  
 M  +12 -0     kasten/gui/io/bytearrayviewprofilesynchronizer.cpp  
 M  +3 -1      kasten/gui/io/bytearrayviewprofilesynchronizer.h  
 M  +4 -1      kasten/gui/system/bytearrayviewprofilemanager.cpp  
 M  +12 -0     kasten/gui/view/bytearrayjanusview.cpp  
 M  +3 -0      kasten/gui/view/bytearrayjanusview.h  
 M  +12 -0     kasten/gui/view/bytearrayview.cpp  
 M  +3 -0      kasten/gui/view/bytearrayview.h  
 M  +6 -0      kasten/gui/view/bytearrayviewprofile.cpp  
 M  +2 -0      kasten/gui/view/bytearrayviewprofile.h  
 M  +4 -3      program/oktetaui.rc  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1311241